export default {
    ReceivingRecordsIndex: {
        border: true,
        index: false,
        height: 572,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "center",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                sortable: true,
                label: '接待开始时间',
                prop: 'staTime',
                width: '200px',
            },
            {
                label: "顾问",
                prop: "agentName",
            },
            
            {
                label: "客户",
                prop: "name",
            },

            {
                sortable: true,
                label: "录音时长",
                prop: "mm",
                width: "100px",
            },

            {
                label: "录音类型",
                prop: "recording",
                formatter: data => {
                    return data.recording == 0 ? "没有录音" : data.recording == 1 ? "部分录音" : '完整录音'
                }
            },

            {
                label: "标记顾问",
                prop: "markAdvisor",
                formatter: data => {
                    return data.markAdvisor == 0 ? "未标记" : '已标记'
                }
            },

            {
                sortable: true,
                label: "画像标签触达次数",
                prop: "total",
                width: '150px',
            },

            {
                sortable: true,
                label: "执行率",
                prop: "total",
                width: '150px',
                formatter: data => {
                    return `${data.fraction || 0}%`
                }
            },

            {
                sortable: true,
                label: "接待标识",
                prop: "validInvalidName",
            },

        ]
    }
}