export default {
    TemplatePinspeakwordsList: {
        border: true,
        index: false,
        height: 572,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "center",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "项目名称",
                prop: "houseName",
                width: "120px",
            },
            {
                label: "状态",
                prop: "status",
                formatter: (data) => {
                    if(data.status == 0) return '启用'
                    if(data.status == 1) return '停用'
                }
            },
            {
                label: "大类个数",
                prop: "count",
            },
            
            {
                label: "创建时间",
                prop: "createTime",
            },
        ]
    },
    TemplateWrongword: {
        border: true,
        index: true,
        height: 572,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "center",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "正确词",
                prop: "correctWord",
            },
            {
                label: "错误词",
                prop: "wrongWord",
            },
            {
                label: "创建时间",
                prop: "createTime",
            },
        ]
    },
    TemplateTaboo: {
        border: true,
        index: false,
        height: 572,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "center",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '敏感词',
                prop: "words"
            },
            {
                label: "项目名称",
                prop: "houseName",
            },
            {
                label: "创建时间",
                prop: "createDate",
            },
            {
                label: "修改时间",
                prop: "updateDate",
            },
        ]
    }
}